# Interface ClientAuthModule

All Superinterfaces:
  `ClientAuth`

public interface ClientAuthModule extends ClientAuth
A pluggable client-side authentication module in JASPIC. A ClientAuthModule implements the authentication logic for client-side operations and is initialized with message policies, a callback handler, and configuration options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>[]`
  `getSupportedMessageTypes()`
  Returns the array of MessageInfo implementation classes supported by this module.
  `void`
  `initialize(MessagePolicy requestPolicy, MessagePolicy responsePolicy, CallbackHandler handler, Map<String,Object> options)`
  Initializes the authentication module with the given policies, callback handler, and options.

  ### Methods inherited from interface ClientAuth

  `cleanSubject, secureRequest, validateResponse`

- ## Method Details

  - ### initialize

    void initialize(MessagePolicy requestPolicy, MessagePolicy responsePolicy, CallbackHandler handler, Map<String,Object> options) throws AuthException
    Initializes the authentication module with the given policies, callback handler, and options. This method is called once when the module is created.
    Parameters:
      `requestPolicy` - the message policy for requests
      `responsePolicy` - the message policy for responses
      `handler` - the callback handler for obtaining sensitive data
      `options` - configuration options for the module
    Throws:
      `AuthException` - if initialization fails

  - ### getSupportedMessageTypes

    Class<?>[] getSupportedMessageTypes()
    Returns the array of MessageInfo implementation classes supported by this module.
    Returns:
      an array of supported MessageInfo classes